%% General parameters for the World plane
 
plane.z = 0.025;
plane.x = 3;
plane.y = 50;


%% Body Parameter

skeleton.body.mass = 107.64;      % body mass [kg] (here to match weight of source: GeyerHerr2010 where the total body mass is about 80 kg; here it's the same, because arms are not visulaized)
skeleton.body.height = 1.83;      % body height [m] %source: Synthesis of two-dimensional...
                                           %   human walking: a test of the lambda-model


%% Leg mechanical Parameters [m]

skeleton.leg.lower.mass   = 0.046*skeleton.body.mass;        % Shank mass in regarde to total body %source: Journal of Engineering Science and Technology Vol. 11, No. 2 (2016)
skeleton.leg.lower.length = 0.247*skeleton.body.height;      % Shank length in regarde to total body %source: Journal of Engineering Science and Technology Vol. 11, No. 2 (2016)
skeleton.leg.lower.COG    = 0.433*skeleton.leg.lower.length; % Shank center in regard to length %source: Journal of Engineering Science and Technology Vol. 11, No. 2 (2016)
skeleton.leg.lower.I_zz   = skeleton.leg.lower.mass*(0.114*skeleton.leg.lower.length)^2; %source: Journal of Engineering Science and Technology Vol. 11, No. 2 (2016)
skeleton.leg.lower.I_yy   = skeleton.leg.lower.mass*(0.275*skeleton.leg.lower.length)^2; %source: Journal of Engineering Science and Technology Vol. 11, No. 2 (2016)
skeleton.leg.lower.I_xx   = skeleton.leg.lower.mass*(0.281*skeleton.leg.lower.length)^2; %source: Journal of Engineering Science and Technology Vol. 11, No. 2 (2016)
skeleton.leg.lower.Iz     = skeleton.leg.lower.mass*(skeleton.leg.lower.COG-skeleton.leg.lower.length/2)^2;  % Deviation moment by moved center of gravity (COG)

skeleton.leg.upper.mass   = 0.099*skeleton.body.mass;         % Thighs mass in regarde to total body %source: Journal of Engineering Science and Technology Vol. 11, No. 2 (2016)
skeleton.leg.upper.length = 0.232*skeleton.body.height;       % Thighs length in regarde to total body %source: Journal of Engineering Science and Technology Vol. 11, No. 2 (2016)
skeleton.leg.upper.COG    = 0.433*skeleton.leg.upper.length ;% Thighs center in regard to length %source: Journal of Engineering Science and Technology Vol. 11, No. 2 (2016)
skeleton.leg.upper.I_zz   = skeleton.leg.upper.mass*(0.121*skeleton.leg.upper.length)^2; %source: Journal of Engineering Science and Technology Vol. 11, No. 2 (2016)
skeleton.leg.upper.I_yy   = skeleton.leg.upper.mass*(0.267*skeleton.leg.upper.length)^2; %source: Journal of Engineering Science and Technology Vol. 11, No. 2 (2016)
skeleton.leg.upper.I_xx   = skeleton.leg.upper.mass*(0.267*skeleton.leg.upper.length)^2; %source: Journal of Engineering Science and Technology Vol. 11, No. 2 (2016)
skeleton.leg.upper.Iz     = skeleton.leg.upper.mass*(skeleton.leg.upper.COG-skeleton.leg.upper.length/2)^2;  % Deviation moment by moved center of gravity (COG)

skeleton.leg.width        = 0.08;                                                             

skeleton.foot.mass   = 0.014*skeleton.body.mass;     % Foot mass in regarde to total body %source: Journal of Engineering Science and Technology Vol. 11, No. 2 (2016)
skeleton.foot.length = 0.1484*skeleton.body.height;  % Foot length in regarde to total body %source: Journal of Engineering Science and Technology Vol. 11, No. 2 (2016)
skeleton.foot.height = 0.04699*skeleton.body.height; % Foot height in regarde to total body %source: Synthesis of two-dimensional human walking: a test of the lambda-model
skeleton.foot.COG    = 0.429*skeleton.foot.length; % Foot center in regard to length %source: Journal of Engineering Science and Technology Vol. 11, No. 2 (2016)
skeleton.foot.I_zz   = skeleton.foot.mass*(0.124*skeleton.foot.length)^2; %source: Journal of Engineering Science and Technology Vol. 11, No. 2 (2016)
skeleton.foot.I_yy   = skeleton.foot.mass*(0.245*skeleton.foot.length)^2; %source: Journal of Engineering Science and Technology Vol. 11, No. 2 (2016)
skeleton.foot.I_xx   = skeleton.foot.mass*(0.257*skeleton.foot.length)^2; %source: Journal of Engineering Science and Technology Vol. 11, No. 2 (2016)
skeleton.foot.Ix     = skeleton.foot.mass*(skeleton.foot.COG-skeleton.foot.length/2)^2;  % Deviation moment by moved center of gravity (COG)

skeleton.foot.width  = skeleton.leg.width *2 ;       

skeleton.torso.mass   = 0.497*skeleton.body.mass*0.745;             % Torso mass in regarde to total body %source: Journal of Engineering Science and Technology Vol. 11, No. 2 (2016) & bionumbers
skeleton.torso.length = 0.3*skeleton.body.height*0.745;             % Torso length in regarde to total body %source: Journal of Engineering Science and Technology Vol. 11, No. 2 (2016) & bionumbers
skeleton.torso.COG    = 0.495*skeleton.torso.length;% Torso center in regard to length %source: Journal of Engineering Science and Technology Vol. 11, No. 2 (2016)
skeleton.torso.I_zz   = skeleton.torso.mass*(0.383*skeleton.torso.length)^2; %source: Journal of Engineering Science and Technology Vol. 11, No. 2 (2016)
skeleton.torso.I_yy   = skeleton.torso.mass*(0.482*skeleton.torso.length)^2; %source: Journal of Engineering Science and Technology Vol. 11, No. 2 (2016)
skeleton.torso.I_xx   = skeleton.torso.mass*(0.468*skeleton.torso.length*0.745)^2; %source: Journal of Engineering Science and Technology Vol. 11, No. 2 (2016)
skeleton.torso.Ix     = skeleton.torso.mass*(skeleton.torso.COG-skeleton.torso.length/2)^2;  % Deviation moment by moved center of gravity (COG)

skeleton.torso.width  = 0.06;

skeleton.Pelvis.mass   = 0.497*skeleton.body.mass*0.255;   % Pelvis mass in regarde to total body %source: Journal of Engineering Science and Technology Vol. 11, No. 2 (2016) & bionumbers
skeleton.Pelvis.length = 0.3*skeleton.body.height*0.255;   % Pelvis length in regarde to total body %source: Journal of Engineering Science and Technology Vol. 11, No. 2 (2016) & bionumbers
skeleton.Pelvis.COG    = 0.495*skeleton.Pelvis.length; % Pelvis center in regard to length %source: Journal of Engineering Science and Technology Vol. 11, No. 2 (2016)
skeleton.Pelvis.I_zz   = skeleton.Pelvis.mass*(0.468*skeleton.Pelvis.length*0.255)^2; %source: Journal of Engineering Science and Technology Vol. 11, No. 2 (2016)
skeleton.Pelvis.I_yy   = skeleton.Pelvis.mass*(0.383*skeleton.Pelvis.length)^2; %source: Journal of Engineering Science and Technology Vol. 11, No. 2 (2016)
skeleton.Pelvis.I_xx   = skeleton.Pelvis.mass*(0.482*skeleton.Pelvis.length)^2; %source: Journal of Engineering Science and Technology Vol. 11, No. 2 (2016)
skeleton.Pelvis.Iz     = skeleton.Pelvis.mass*(skeleton.Pelvis.COG-skeleton.Pelvis.length/2)^2;  % Deviation moment by moved center of gravity (COG)

skeleton.Pelvis.height = 0.15; 
skeleton.Pelvis.width  = 0.28; 

skeleton.Pelvis.offset_height = skeleton.Pelvis.length;% Hip position %source: Journal of Engineering Science and Technology Vol. 11, No. 2 (2016)
skeleton.Pelvis.offset_length = 0;

skeleton.head.mass   = 0.081*skeleton.body.mass;         % Neck/Head mass in regarde to total body %source: Journal of Engineering Science and Technology Vol. 11, No. 2 (2016)
skeleton.head.length = 0.1075*skeleton.body.height;      % Neck/Head length in regarde to total body %source: Journal of Engineering Science and Technology Vol. 11, No. 2 (2016)
skeleton.head.COG    = 0.433*skeleton.head.length;  % Head center in regard to length %source: Journal of Engineering Science and Technology Vol. 11, No. 2 (2016)
skeleton.head.I_zz   = skeleton.head.mass*(0.315*skeleton.head.length)^2; %source: Journal of Engineering Science and Technology Vol. 11, No. 2 (2016)
skeleton.head.I_yy   = skeleton.head.mass*(0.303*skeleton.head.length)^2; %source: Journal of Engineering Science and Technology Vol. 11, No. 2 (2016)
skeleton.head.I_xx   = skeleton.head.mass*(0.261*skeleton.head.length)^2; %source: Journal of Engineering Science and Technology Vol. 11, No. 2 (2016)
skeleton.head.Ix     = skeleton.head.mass*(skeleton.head.COG-skeleton.head.length/2)^2;  % Deviation moment by moved center of gravity (COG)

skeleton.head.width = 0.15;


