% Plots all the simulation data of muscle length & force 
clf('reset') % reset all implemeted figures
%% plot the data of HFL muscle group
clear figur(1)
figure(1)      % create a figure 1, HFL force
title  ('Force of the Hip Flexor Muscle Group')     
xlabel ('Simulation Time [s]')   
ylabel ('Force [N]')
grid on                     % grid can be seen in the diagram
grid minor                  % smaller grid lines for detailed view
axis tight                  % sets axis to a tight range
hold on                     % keeps the settings
plot( out.Force_HFL(1:end, 1), out.Force_HFL(1:end, 2), '-b')  % plots data 


figure(2)      % create a figure 2, HFL length
title  ('Length of the Hip Flexor Muscle Group')     
xlabel ('Simulation Time [s]')   
ylabel ('Length [m]')
grid on                     % grid can be seen in the diagram
grid minor                  % smaller grid lines for detailed view
axis tight                  % sets axis to a tight range
hold on                     % keeps the settings
plot( out.length_HFL_MTC(1:end, 1), out.length_HFL_MTC(1:end, 2), '-b')% plots data 

figure(3) % creat subplot in figure 3 for comparment of length to force
subplot(2,1,1)
plot( out.Force_HFL(1:end, 1), out.Force_HFL(1:end, 2), '-b')  % plots data
title('Force of the Hip Flexor Muscle Group')
xlabel ('Simulation Time [s]')   
ylabel ('Force [N]')
axis tight                  % sets axis to a tight range
grid on                     % grid can be seen in the diagram
grid minor                  % smaller grid lines for detailed comparmented
subplot(2,1,2)
plot( out.length_HFL_MTC(1:end, 1), out.length_HFL_MTC(1:end, 2), '-b')% plots data 
title  ('Length of the Hip Flexor Muscle Group')
xlabel ('Simulation Time [s]')   
ylabel ('Length [m]')
axis tight                  % sets axis to a tight range
grid on                     % grid can be seen in the diagram
grid minor                  % smaller grid lines for detailed comparmented

figure(10) % activation pattern of the HFL group
title ('Activation Pattern of the Hip Flexor Muscle Group')
xlabel ('Simulation Time [s]')   
ylabel ('Activation [-]')
axis tight
hold on
plot( out.act_HFL(1:end, 1), out.act_HFL(1:end, 2), '-b')

%% plot the data of GLU muscle group
figure(4)      % create a figure 4, GLU force
title  ('Force of the Gluteus Muscle Group')     
xlabel ('Simulation Time [s]')   
ylabel ('Force [N]')
grid on                     % grid can be seen in the diagram
grid minor                  % smaller grid lines for detailed view
axis tight                  % sets axis to a tight range
hold on                     % keeps the settings
plot( out.Force_GLU(1:end, 1), out.Force_GLU(1:end, 2), '-b')   % plots data 

figure(5)      % create a figure 5, GLU length
title  ('Length of the Gluteus Muscle Group')     
xlabel ('Simulation Time [s]')   
ylabel ('Length [m]')
grid on                     % grid can be seen in the diagram
grid minor                  % smaller grid lines for detailed view
axis tight                  % sets axis to a tight range
hold on                     % keeps the settings
plot( out.length_GLU_MTC(1:end, 1), out.length_GLU_MTC(1:end, 2), '-b')% plots data 

figure(6) % creat sub plot in figure 6 for comparment of length to force
subplot(2,1,1)
plot( out.Force_GLU(1:end, 1), out.Force_GLU(1:end, 2), '-b')   % plots data 
title  ('Force of the Gluteus Muscle Group')
xlabel ('Simulation Time [s]')   
ylabel ('Force [N]')
axis tight                  % sets axis to a tight range
grid on                     % grid can be seen in the diagram
grid minor                  % smaller grid lines for detailed comparmented
subplot(2,1,2)
plot( out.length_GLU_MTC(1:end, 1), out.length_GLU_MTC(1:end, 2), '-b')% plots data 
title  ('Length of the Gluteus Muscle Group')
xlabel ('Simulation Time [s]')   
ylabel ('Length [m]')
axis tight                  % sets axis to a tight range
grid on                     % grid can be seen in the diagram
grid minor                  % smaller grid lines for detailed comparmented

figure(11) % activation pattern of the GLU group
title ('Activation Pattern of the Gluteus Muscle Group')
xlabel ('Simulation Time [s]')   
ylabel ('Activation [-]')
axis tight
hold on
plot( out.act_GLU(1:end, 1), out.act_GLU(1:end, 2), '-b')

%% plot data of HAM muscle group
figure(7)      % create a figure 9, HAM force
title  ('Force of the Hamstring Muscle Group')     
xlabel ('Simulation Time [s]')   
ylabel ('Force [N]')
grid on                     % grid can be seen in the diagram
grid minor                  % smaller grid lines for detailed view
axis tight                  % sets axis to a tight range
hold on                     % keeps the settings
plot( out.Force_HAM(1:end, 1), out.Force_HAM(1:end, 2), '-b')   % plots data 

figure(8)      % create a figure 10, HAM length
title  ('Length of the Hamstring Muscle Group')     
xlabel ('Simulation Time [s]')   
ylabel ('Length [m]')
grid on                     % grid can be seen in the diagram
grid minor                  % smaller grid lines for detailed view 
axis tight                  % sets axis to a tight range
hold on                     % keeps the settings
plot( out.length_HAM_MTC(1:end, 1), out.length_HAM_MTC(1:end, 2), '-b')% plots data 

figure(9) % creat subplot in figure 9 for comparment of length to force
subplot(2,1,1)
plot( out.Force_HAM(1:end, 1), out.Force_HAM(1:end, 2), '-b')   % plots data 
title  ('Force of the Hamstring Muscle Group')
xlabel ('Simulation Time [s]')   
ylabel ('Force [N]')
axis tight                  % sets axis to a tight range
grid on                     % grid can be seen in the diagram
grid minor                  % smaller grid lines for detailed comparmented
subplot(2,1,2)
plot( out.length_HAM_MTC(1:end, 1), out.length_HAM_MTC(1:end, 2), '-b')% plots data
title  ('Length of the Hamstring Muscle Group')
xlabel ('Simulation Time [s]')   
ylabel ('Length [m]')
axis tight                  % sets axis to a tight range
grid on                     % grid can be seen in the diagram
grid minor                  % smaller grid lines for detailed comparmented

figure(12) % activation pattern of the HAM group
title ('Activation Pattern of the Hamstring Muscle Group')
xlabel ('Simulation Time [s]')   
ylabel ('Activation [-]')
axis tight
hold on
plot( out.act_HAM(1:end, 1), out.act_HAM(1:end, 2), '-b')

%% limited x axis for certain plots

figure(13) % creat subplot in figure 3 for comparment of length to force
subplot(2,1,1)
plot( out.Force_HFL(1:end, 1), out.Force_HFL(1:end, 2), '-b')  % plots data
title('Force of the Hip Flexor Muscle Group (2 seconds)')
xlabel ('Simulation Time [s]')   
ylabel ('Force [N]')
axis tight                  % sets axis to a tight range
xlim ([0 2])                % limits the x-axis to 2 seconds
grid on                     % grid can be seen in the diagram
grid minor                  % smaller grid lines for detailed comparmented
subplot(2,1,2)
plot( out.length_HFL_MTC(1:end, 1), out.length_HFL_MTC(1:end, 2), '-b')% plots data 
title  ('Length of the Hip Flexor Muscle Group (2 seconds)')
xlabel ('Simulation Time [s]')   
ylabel ('Length [m]')
axis tight                  % sets axis to a tight range
xlim ([0 2])                % limits the x-axis to 2 seconds
grid on                     % grid can be seen in the diagram
grid minor                  % smaller grid lines for detailed comparmented

figure(14) % creat subplot in figure 6 for comparment of length to force
subplot(2,1,1)
plot( out.Force_GLU(1:end, 1), out.Force_GLU(1:end, 2), '-b')   % plots data 
title  ('Force of the Gluteus Muscle Group (2 seconds)')
xlabel ('Simulation Time [s]')   
ylabel ('Force [N]')
axis tight                  % sets axis to a tight range
xlim ([0 2])                % limits the x-axis to 2 seconds
grid on                     % grid can be seen in the diagram
grid minor                  % smaller grid lines for detailed comparmented
subplot(2,1,2)
plot( out.length_GLU_MTC(1:end, 1), out.length_GLU_MTC(1:end, 2), '-b')% plots data 
title  ('Length of the Gluteus Muscle Group (2 seconds)')
xlabel ('Simulation Time [s]')   
ylabel ('Length [m]')
axis tight                  % sets axis to a tight range
xlim ([0 2])                % limits the x-axis to 2 seconds
grid on                     % grid can be seen in the diagram
grid minor                  % smaller grid lines for detailed comparmented

figure(15) % creat subplot in figure 9 for comparment of length to force
subplot(2,1,1)
plot( out.Force_HAM(1:end, 1), out.Force_HAM(1:end, 2), '-b')   % plots data 
title  ('Force of the Hamstring Muscle Groupe (2 seconds)')
xlabel ('Simulation Time [s]')   
ylabel ('Force [N]')
axis tight                  % sets axis to a tight range
xlim ([0 2])                % limits the x-axis to 2 seconds
grid on                     % grid can be seen in the diagram
grid minor                  % smaller grid lines for detailed comparmented
subplot(2,1,2)
plot( out.length_HAM_MTC(1:end, 1), out.length_HAM_MTC(1:end, 2), '-b')% plots data
title  ('Length of the Hamstring Muscle Groupe (2 seconds)')
xlabel ('Simulation Time [s]')   
ylabel ('Length [m]')
axis tight                  % sets axis to a tight range
xlim ([0 2])                % limits the x-axis to 2 seconds
grid on                     % grid can be seen in the diagram
grid minor                  % smaller grid lines for detailed comparmented


% Copyright (c) 2019 belongs to A. Seidel