%% Simscape Multibody Contact Forces Library
%
% <html>
% <span style="font-family:Arial">
% <span style="font-size:10pt">
% <tr><b><a href="matlab:web('Contact_Forces_Demo_Script_Library.html');">Library Overview</a></b><br>
% <br>
% <tr><b><a href="matlab:web('Contact_Forces_Demo_Script_2D_Collision.html');">2D Collision Examples (Basic)</a></b><br>
% <br>
% <tr><b><a href="matlab:web('Contact_Forces_Demo_Script_2D_Friction.html');">2D Friction Examples (Basic)</a></b><br>
% <br>
% <tr><b><u>2D Examples (Applications)</u></b><br>
% <tr>1.  Cam Follower: <a href="matlab:cd(fileparts(which('Cam_Follower.slx')));Cam_Follower;">Model</a>, <a href="matlab:CheckAnim('Cam_Follower_Anim.html');">Animation</a>, <a href="matlab:web('Cam_Follower_Contact.html');">Force Description</a><br>
% <tr>2.  Cam Follower with Constraint: <a href="matlab:cd(fileparts(which('Cam_Follower_Constraint.slx')));Cam_Follower_Constraint;">Model</a>, <a href="matlab:CheckAnim('Cam_Follower_Constraint_Anim.html');">Animation</a><br>
% <tr>3.  Geneva Drive: <a href="matlab:cd(fileparts(which('Geneva_Drive.slx')));Geneva_Drive;">Model</a>, <a href="matlab:CheckAnim('Geneva_Drive_Anim.html');">Animation</a>, <a href="matlab:web('Geneva_Drive_Contact_Forces.html');">Force Description</a><br>
% <tr>... <a href="matlab:cd(fileparts(which('Geneva_Drive.SLDASM')));winopen('Geneva_Drive.SLDASM');">CAD Model </a> -> <a href="matlab:cd(fileparts(which('Geneva_Drive_XML.xml')));smimport('Geneva_Drive_XML.xml');"> Import XML</a>, <a href="matlab:cd(fileparts(which('Geneva_Drive_imported.slx')));Geneva_Drive_imported;"> Simscape Multibody Model</a><br>
% <tr>4.  Mini Golf: <a href="matlab:cd(fileparts(which('startup_Mini_Golf.m')));startup_Mini_Golf;">Model</a>, Animation: <a href="matlab:CheckAnim('Mini_Golf_Hole_6_Anim.html');">Hole 6</a>, <a href="matlab:CheckAnim('Mini_Golf_Hole_7_Anim.html');">Hole 7</a><br>
% <tr>5.  Spinning Boxes: <a href="matlab:cd(fileparts(which('Spinning_Boxes.slx')));Spinning_Boxes;">Model</a>, <a href="matlab:CheckAnim('Spinning_Boxes_Anim.html');">Animation</a>, <a href="matlab:web('Box_to_Box_Contact.html');">Force Description</a><br>
% <tr>6.  Two Conveyor Belts: <a href="matlab:cd(fileparts(which('Belts_01_Two_Belts.slx')));Belts_01_Two_Belts;">Model</a>, <a href="matlab:CheckAnim('Belts_01_Two_Belts_Anim.html');">Animation</a><br>
% <tr>7.  Ball Bearing: <a href="matlab:cd(fileparts(which('startup_sm_ball_bearing_testrig.m')));startup_sm_ball_bearing_testrig;">Model</a>, <a href="matlab:CheckAnim('Ball_Bearing_Testrig_Anim.html');">Animation</a><br>
% <br>
% <tr><b><a href="matlab:web('Contact_Forces_Demo_Script_3D_Collision.html');">3D Collision Examples (Basic)</a></b><br>
% <br>
% <tr><b><a href="matlab:web('Contact_Forces_Demo_Script_3D_Friction.html');">3D Friction Examples (Basic)</a></b><br>
% <br>
% <tr><b><a href="matlab:web('Contact_Forces_Demo_Script_3D_Applications.html');">3D Applications</a></b><br>
% </style>
% </style>
% </html>
% 
% Copyright 2014-2018 The MathWorks(TM), Inc.

