%% Simscape Multibody Contact Forces Library
%
% <html>
% <span style="font-family:Arial">
% <span style="font-size:10pt">
% <tr><b><a href="matlab:web('Contact_Forces_Demo_Script_Library.html');">Library Overview</a></b><br>
% <br>
% <tr><b><u>2D Collision Examples (Basic)</u></b><br>
% <tr>1.  Ball on Infinite Plane: <a href="matlab:cd(fileparts(which('Collision_01_Ball_Infinite_Plane.slx')));Collision_01_Ball_Infinite_Plane;">Model</a>, <a href="matlab:CheckAnim('Collision_01_Ball_Infinite_Plane_Anim.html');">Animation</a><br>
% <tr>2.  Disk on Finite Plane (fixed): <a href="matlab:cd(fileparts(which('Collision_02_Disk_Finite_Plane_Fixed.slx')));Collision_02_Disk_Finite_Plane_Fixed;">Model</a>, <a href="matlab:CheckAnim('Collision_02_Disk_Finite_Plane_Fixed_Anim.html');">Animation</a><br>
% <tr>3.  Disk on Finite Plane (spin): <a href="matlab:cd(fileparts(which('Collision_03_Disk_Finite_Plane_Spin.slx')));Collision_03_Disk_Finite_Plane_Spin;">Model</a>, <a href="matlab:CheckAnim('Collision_03_Disk_Finite_Plane_Spin_Anim.html');">Animation</a><br>
% <tr>4.  Disks in Box: <a href="matlab:cd(fileparts(which('Collision_04_Disks_in_Box.slx')));Collision_04_Disks_in_Box;">Model</a>, Animation (<a href="matlab:CheckAnim('Collision_04_Disks_In_Box_Anim.html');">No Friction</a>, <a href="matlab:CheckAnim('Collision_04_Disks_In_Box_Friction_Anim.html');">With Friction</a>)<br>
% <tr>5.  Disk in Ring: <a href="matlab:cd(fileparts(which('Collision_05_Disk_in_Ring.slx')));Collision_05_Disk_in_Ring;">Model</a>, Animation (<a href="matlab:CheckAnim('Collision_05_Disk_In_Ring_Anim.html');">No Friction</a>, <a href="matlab:CheckAnim('Collision_05_Disk_In_Ring_Friction_Anim.html');">With Friction</a>)<br>
% <tr>6.  Catapult: <a href="matlab:cd(fileparts(which('Collision_06_Catapult.slx')));Collision_06_Catapult;">Model</a>, <a href="matlab:CheckAnim('Collision_06_Catapult_Friction_Anim.html');">Animation</a><br>
% <tr>7.  Ball and Floating Beam: <a href="matlab:cd(fileparts(which('Collision_07_Ball_Finite_Plane_Float.slx')));Collision_07_Ball_Finite_Plane_Float;">Model</a>, <a href="matlab:CheckAnim('Collision_07_Ball_Finite_Plane_Float_Anim.html');">Animation</a><br>
% <br>
% <tr><b><a href="matlab:web('Contact_Forces_Demo_Script_2D_Friction.html');">2D Friction Examples (Basic)</a></b><br>
% <br>
% <tr><b><a href="matlab:web('Contact_Forces_Demo_Script_2D_Applications.html');">2D Examples (Applications)</a></b><br>
% <br>
% <tr><b><a href="matlab:web('Contact_Forces_Demo_Script_3D_Collision.html');">3D Collision Examples (Basic)</a></b><br>
% <br>
% <tr><b><a href="matlab:web('Contact_Forces_Demo_Script_3D_Friction.html');">3D Friction Examples (Basic)</a></b><br>
% <br>
% <tr><b><a href="matlab:web('Contact_Forces_Demo_Script_3D_Applications.html');">3D Applications</a></b><br>
% </style>
% </style>
% </html>
% 
% Copyright 2014-2018 The MathWorks(TM), Inc.

